#ifndef XXX_UTIL_H_
#define XXX_UTIL_H_

#include <yc_type.h>
#include <stdio.h>

inline void logger_dumpfile(u8* data, s32 dataSize, const char* fn) {
    FILE* f = fopen(fn, "wb");
    if (f) {
        fwrite(data, dataSize, 1, f);
        fclose(f);
    }
}

#define XDUMP(data, dataSize, fn)           logger_dumpfile((u8*)(data), dataSize, fn)

#endif